package net.awired.ajsl.js.jquery;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.osgi.service.http.HttpService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Activation implements BundleActivator {

    private static final String STATIC = "/ajsl-js-jquery";

    private Logger LOG = LoggerFactory.getLogger(this.getClass());

    HttpService service;

    @Override
    public void start(BundleContext context) throws Exception {
        ServiceReference sRef = context.getServiceReference(HttpService.class.getName());
        service = (HttpService) context.getService(sRef);
        service.registerResources(STATIC, "/res", null);
    }

    @Override
    public void stop(BundleContext context) throws Exception {
        service.unregister(STATIC);
    }

}
